OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.ConditionalRender

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVConditionalRender :: MonadIO m => m Bool
- gl_NV_conditional_render :: Bool
- gl_QUERY_BY_REGION_NO_WAIT_NV :: GLenum
- gl_QUERY_BY_REGION_WAIT_NV :: GLenum
- gl_QUERY_NO_WAIT_NV :: GLenum
- gl_QUERY_WAIT_NV :: GLenum
- glBeginConditionalRenderNV :: MonadIO m => GLuint -> GLenum -> m ()
- glEndConditionalRenderNV :: MonadIO m => m ()

# Extension Support

glGetNVConditionalRender :: MonadIO m => m Bool

Is the NV_conditional_render extension supported?

gl_NV_conditional_render :: Bool

Is the NV_conditional_render extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVConditionalRender` in those cases instead.

# Enums

gl_QUERY_BY_REGION_NO_WAIT_NV :: GLenum

gl_QUERY_BY_REGION_WAIT_NV :: GLenum

gl_QUERY_NO_WAIT_NV :: GLenum

gl_QUERY_WAIT_NV :: GLenum

# Functions

glBeginConditionalRenderNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `mode` of type `TypeEnum`.
-> m () |

This command is an alias for `glBeginConditionalRender`.

glEndConditionalRenderNV :: MonadIO m => m ()

This command is an alias for `glEndConditionalRender`.